%define name		cqfs-jackrabbit
%define version		3.5.6
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Day Jackrabbit CQFS Support
License:	Proprietary
Url:		http://www.day.com/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://www.day.com/maven/cqfs/jars/%{name}-%{version}.jar
NoSource:	0

BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Day's Jackrabbit CQFS Support.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -T -c -n %{name}-%{version}
cp %{SOURCE0} .
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> 0:3.5.6-1jpp
- First JPackage build

